Skip to main content
Alerting & Response/Alert Templates
POSTAlertingSince 1.0SynchronousAuth Required

ActivateAlertSilenceTemplate

Activate a silence template to create an active silence rule from it

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • templateIdStringRequired

    Unique identifier of the template to activate

Responses

200 OK

On success, this API returns the following response structure.

  • silenceRuleIdString

    UUID of the created silence rule

    Example: silence-activated-001

  • startsAtString

    Start time of the activated silence window

    Example: 2026-01-15T08:00:00Z

  • endsAtString

    End time of the activated silence window

    Example: 2026-01-15T08:00:00Z

Endpoint

POST/api/v1/alerting/silence-templates/{templateId}/activate

/api/v1/alerting/silence-templates/{templateId}/activate

Operation ID

ActivateAlertSilenceTemplate

Permalink

Request Example

curl -X POST '{host}/api/v1/alerting/silence-templates/{templateId}/activate' -H 'Authorization: Bearer {token}' -H 'Content-Type: application/json' -d '{}'

Response Example

200
{
  "silenceRuleId": "silence-activated-001",
  "startsAt": "example",
  "endsAt": "example"
}

Change History

This API has no change history records yet.

View all change history